#include "SimpleILI9341.h"
#include <SPI.h>

#define pinSCK    18
#define pinMOSI   23
//#define pinDC     21
//#define pinRESET  3
//#define pinCS     1
#define pinDC     16
#define pinRESET  17
#define pinCS     5

byte KbdPin[] = {
32,
33,
25,
26,
27,
14,
12,
13};

void setup() {
  Serial.begin(19200);
  Serial.println("");

  ILI9341Begin(pinCS, pinDC, pinRESET, 320, 240, ILI9341_Rotation1);
  SPI.setFrequency(32000000);

  for (int i=0; i<sizeof(KbdPin)/sizeof(KbdPin[0]); i++) 
    pinMode(KbdPin[i], INPUT_PULLUP);
    
  ClearDisplay(TFT_BLACK);
  DrawStringAt(0,TextHeight(LargeFont),"Test TFT Kbd",LargeFont, TFT_WHITE);
  DrawStringAt(0,TextHeight(LargeFont)*2,"",LargeFont, TFT_WHITE);
  Serial.println("Test TFT Kbd");
}

void pinDown(int i) {
}

void pinUp(int i) {
  DrawInt(i,LargeFont, TFT_WHITE);
  DrawString(" ",LargeFont, TFT_WHITE);
  if (Cursorx > tft_width-12) {
    Cursorx = 0;
    Cursory += TextHeight(LargeFont);
    if (Cursory > tft_height) 
      ClearDisplay(TFT_BLACK);
  }
  Serial.println(i);
}

void loop() {
  static int prev = 0;
  int k;
  
  k = 0;
  for (int i=0; i<8; i++) {
    pinMode(KbdPin[i], OUTPUT);
    digitalWrite(KbdPin[i],LOW);
    for (int j=i+1; j<8; j++) 
      if (digitalRead(KbdPin[j]) == LOW) {
        k = (i+1)*10+j+1;
      }
    pinMode(KbdPin[i], INPUT_PULLUP);
  }

  if (k != prev) {
    if (k != 0)
      pinDown(k); else
      pinUp(prev);
  }
  prev = k;
}
